# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
jobs:
  # first cron
  - name: hello-world
    image:
      repository: hello-world
      tag: latest
      imagePullPolicy: IfNotPresent
      secrets: 
    schedule: "* * * * *"
    failedJobsHistoryLimit: 1
    successfulJobsHistoryLimit: 3
    concurrencyPolicy: Allow
    restartPolicy: OnFailure
  # second cron
  - name: hello-ubuntu
    image:
      repository: ubuntu
      tag: latest
      imagePullPolicy: Always
    schedule: "*/5 * * * *"
    command: ["/bin/bash"]
    args:
      - "-c"
      - "echo $(date) - hello from ubuntu"
    resources:
      limits:
        cpu: 50m
        memory: 256Mi
      requests:
        cpu: 50m
        memory: 256Mi
    failedJobsHistoryLimit: 1
    successfulJobsHistoryLimit: 3
    concurrencyPolicy: Forbid
    restartPolicy: OnFailure
  # third cron
  - name: hello-env-var
    image:
      repository: busybox
      tag: latest
      imagePullPolicy: Always
    # optional env vars
    env:
    - name: ECHO_VAR
      value: "busybox"
    schedule: "* * * * *"
    command: ["/bin/sh"]
    args:
      - "-c"
      - "echo $(date) - hello from $ECHO_VAR"
    resources:
      limits:
        cpu: 50m
        memory: 256Mi
      requests:
        cpu: 50m
        memory: 256Mi
    failedJobsHistoryLimit: 1
    successfulJobsHistoryLimit: 3
    concurrencyPolicy: Forbid
    restartPolicy: Never
    nodeSelector:
      type: infra
    tolerations:
    - effect: NoSchedule
      operator: Exists
    affinity:
      nodeAffinity:
        requiredDuringSchedulingIgnoredDuringExecution:
          nodeSelectorTerms:
          - matchExpressions:
            - key: kubernetes.io/e2e-az-name
              operator: In
              values:
              - e2e-az1
              - e2e-az2
